local json = require("json")
local utils = require("utils")
local utils_device = require("utils_device")

local request_method = ngx.var.request_method

utils.check_login()
utils.check_permission("DeviceManage", "GatewayManage")

if ("GET" == request_method) then
    local args = ngx.req.get_uri_args()
    if (nil == args) then
        utils.error_exit(400, "invalid parameter")
    end

    pk = args["ProductKey"]
    dn = args["DeviceName"]
    event_name = args["EventName"]
    page_size = tonumber(args["PageSize"])
    cur_page = tonumber(args["CurrentPage"])

    utils.check_pk(pk)
    utils.check_dn(dn)
    utils.check_current_page(current_page)
    utils.check_page_size(page_size)

    if (not (pk and dn and event_name and page_size and cur_page)) then
        utils.error_exit(400, "invalid parameter")
    end

    res = {}  
    res["TotalNum"] = 1
    res["PageSize"] = page_size
    res["CurrentPage"] = cur_page
    res["EventLog"] = {}

    min, max = utils.get_item_index(1, page_size, cur_page)
    for i = min, max do 
        item = {}
        item["Name"] = id
        item["Id"] = id
        item["Type"] = "info"
        item["Value"] = tostring(n)
        item["Time"] =  tostring(1523411959 + i)
        table.insert(res["EventLog"], item)  
    end

    res_raw = json.encode(res)
    utils.error_exit(200, res_raw)
end
