#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import sys

sys.path.append("../../lib/")

from leda_python import leda
from leda_python.mbus import MbusBase
import hashlib
import logging
import threading
import json
import time
import os
import sys

_logger = logging.getLogger(__name__)


def createThread(task, args=()):
    t = threading.Thread(target=task, args=args)
    t.setDaemon(True)
    t.start()


def test_callMethod(arg_1, arg_2):
    mbusObject = MbusBase("iot.app.demoTest%s" % (arg_1), shareFlag=False)
    while (1):
        time.sleep(0.2)
        _logger.info('hello World: %s', arg_2)
        inparam = {
            "params": {
                "args1": "xxx",
                "args2": "yyy"
            }
        }
        wkn = "iot.device.idtest_test"
        objpath = "/iot/device/idtest_test"
        interface = wkn
        interfaceHandle = mbusObject.getRemoteInterface(wkn, objpath, interface)
        retInfo = interfaceHandle.callServices(arg_2, json.dumps(inparam), timeout=6 * 10)
        retInfo = json.loads(retInfo)
        code = retInfo['params']["code"]
        assert code == 0
        _logger.debug("\t%s retInfo: %s  ...Ok", arg_2, retInfo)


if (__name__ == "__main__"):
    logging.basicConfig(level=logging.DEBUG,
                        format='%(asctime)s-%(threadName)-9s-%(filename)s[line:%(lineno)d]-%(levelname)s: %(message)s')

    test_callMethod(sys.argv[1], sys.argv[2])
